"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadHomeDirError = void 0;
const error_1 = __importDefault(require("@pnpm/error"));
class BadHomeDirError extends error_1.default {
    constructor({ wantedDir, currentDir }) {
        super('DIFFERENT_HOME_DIR_IS_SET', `Currently 'PNPM_HOME' is set to '${currentDir}'`, {
            hint: 'If you want to override the existing PNPM_HOME env variable, use the --force option',
        });
    }
}
exports.BadHomeDirError = BadHomeDirError;
//# sourceMappingURL=BadHomeDirError.js.map